Bug 179279 - Internal server error when marking a duplicate
Internal server error when marking a duplicate
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
2.18
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: David Lawrence
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-29 15:26 EST by Ville Skyttä
Modified: 2007-04-18 13:36 EDT (History)
0 users

See Also:
Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-01 11:26:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-01-29 15:26:15 EST
I marked bug 175980 as a dupe of 178310, and got the error below.  Note that the
one I marked as a dupe had a dependency on another bug which I don't have access
to (#171491).

undef error - DBD::Pg::st execute failed: ERROR: syntax error at or near "WHERE"
at character 458 [for Statement "SELECT DISTINCT groups.id, name, description,
bug_group_map.group_id IS NOT NULL, user_group_map.group_id IS NOT NULL,
isactive, membercontrol, othercontrol FROM groups LEFT JOIN bug_group_map ON
bug_group_map.group_id = groups.id AND bug_id = 171491 LEFT JOIN user_group_map
ON user_group_map.group_id = groups.id AND user_id = 31584 AND isbless = 0 LEFT
JOIN group_control_map ON group_control_map.group_id = groups.id AND
group_control_map.product_id = WHERE isbuggroup = 1"] at Bugzilla/DB.pm line 71
Bugzilla::DB::SendSQL('SELECT DISTINCT groups.id, name, description,
bug_group_map.g...') called at Bugzilla/Bug.pm line 375
Bugzilla::Bug::groups('Bugzilla::Bug=HASH(0xa305d8c)') called at
Bugzilla/IssueTrackerList.pm line 556
Bugzilla::IssueTrackerList::sendChanges('Bugzilla::IssueTrackerList=ARRAY(0xa31d880)','ARRAY(0x9f55800)','2006-01-24
06:22:31.736213','2006-01-29 15:21:51.819126-05') called at Bugzilla/BugMail.pm
line 437
Bugzilla::BugMail::updateIssueTracker(171491,'ARRAY(0x9f55800)','2006-01-24
06:22:31.736213','2006-01-29 15:21:51.819126-05') called at Bugzilla/BugMail.pm
line 424 Bugzilla::BugMail::ProcessOneBug(171491) called at Bugzilla/BugMail.pm
line 136 Bugzilla::BugMail::Send(171491,'HASH(0xa2ca528)') called at
Bugzilla/Template.pm line 416
Bugzilla::Template::__ANON__(171491,'HASH(0xa2ca528)') called at
/usr/lib/perl5/site_perl/5.8.0/Template/Stash.pm line 558
Template::Stash::_dotop('Template::Stash=HASH(0xa2aacb4)','Template::Stash=HASH(0xa2aacb4)','SendBugMail','ARRAY(0xa2b3b60)')
called at /usr/lib/perl5/site_perl/5.8.0/Template/Stash.pm line 379
Template::Stash::get('Template::Stash=HASH(0xa2aacb4)','ARRAY(0xa2d30b8)')
called at data/template/template/en/default/bug/process/bugmail.html.tmpl line
22 eval {...} called at
data/template/template/en/default/bug/process/bugmail.html.tmpl line 16
Template::Provider::__ANON__('Template::Context=HASH(0xa18ecc8)') called at
/usr/lib/perl5/site_perl/5.8.0/Template/Document.pm line 144 eval {...} called
at /usr/lib/perl5/site_perl/5.8.0/Template/Document.pm line 142
Template::Document::process('Template::Document=HASH(0xa2ff4cc)','Template::Context=HASH(0xa18ecc8)')
called at /usr/lib/perl5/site_perl/5.8.0/Template/Context.pm line 315 eval {...}
called at /usr/lib/perl5/site_perl/5.8.0/Template/Context.pm line 295
Template::Context::process('Template::Context=HASH(0xa18ecc8)','bug/process/bugmail.html.tmpl','HASH(0xa2e1f64)')
called at data/template/template/en/default/bug/process/results.html.tmpl line
33 eval {...} called at
data/template/template/en/default/bug/process/results.html.tmpl line 16
Template::Provider::__ANON__('Template::Context=HASH(0xa18ecc8)') called at
/usr/lib/perl5/site_perl/5.8.0/Template/Document.pm line 144 eval {...} called
at /usr/lib/perl5/site_perl/5.8.0/Template/Document.pm line 142
Template::Document::process('Template::Document=HASH(0xa2b9168)','Template::Context=HASH(0xa18ecc8)')
called at /usr/lib/perl5/site_perl/5.8.0/Template/Context.pm line 315 eval {...}
called at /usr/lib/perl5/site_perl/5.8.0/Template/Context.pm line 295
Template::Context::process('Template::Context=HASH(0xa18ecc8)','Template::Document=HASH(0xa2b9168)')
called at /usr/lib/perl5/site_perl/5.8.0/Template/Service.pm line 90 eval {...}
called at /usr/lib/perl5/site_perl/5.8.0/Template/Service.pm line 88
Template::Service::process('Template::Service=HASH(0xa0f0de4)','bug/process/results.html.tmpl','HASH(0xa0f0a84)')
called at /usr/lib/perl5/site_perl/5.8.0/Template.pm line 59
Template::process('Bugzilla::Template=HASH(0xa0f0bc8)','bug/process/results.html.tmpl','HASH(0xa0f0a84)')
called at /var/www/bugzilla/bugzilla/process_bug.cgi line 2300
Comment 1 David Lawrence 2006-02-01 11:26:59 EST
Thanks for the report. Problem should be fixed now. Let me know if you see it again.

Note You need to log in before you can comment on or make changes to this bug.